Bug 510519 - [RHEL5.4 KVM]: Unimplemented "virsh dump" capability - crash utility support
[RHEL5.4 KVM]: Unimplemented "virsh dump" capability - crash utility support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: crash (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Dave Anderson
Red Hat Kernel QE team
:
Depends On: 507551
Blocks: 507548
  Show dependency treegraph
 
Reported: 2009-07-09 11:31 EDT by Dave Anderson
Modified: 2010-03-30 04:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 507551
Environment:
Last Closed: 2010-03-30 04:20:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Dave Anderson 2009-07-16 13:38:31 EDT
Proof of concept -- taking Paolo's save-vm file parser code and adapting
it as a supported dumpfile format in the crash utility:

64-bit:
 
  $ crash vmlinux-2.6.18-157.el5 save.qemu
  
  crash 4.0-8.12rc3
  Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009  Red Hat, Inc.
  Copyright (C) 2004, 2005, 2006  IBM Corporation
  Copyright (C) 1999-2006  Hewlett-Packard Co
  Copyright (C) 2005, 2006  Fujitsu Limited
  Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
  Copyright (C) 2005  NEC Corporation
  Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
  Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
  This program is free software, covered by the GNU General Public License,
  and you are welcome to change it and/or distribute copies of it under
  certain conditions.  Enter "help copying" to see the conditions.
  This program has absolutely no warranty.  Enter "help warranty" for details.
   
  GNU gdb 6.1                                     
  Copyright 2004 Free Software Foundation, Inc.
  GDB is free software, covered by the GNU General Public License, and you are
  welcome to change it and/or distribute copies of it under certain conditions.
  Type "show copying" to see the conditions.
  There is absolutely no warranty for GDB.  Type "show warranty" for details.
  This GDB was configured as "x86_64-unknown-linux-gnu"...
  
        KERNEL: vmlinux-2.6.18-157.el5            
      DUMPFILE: save.qemu
          CPUS: 1
          DATE: Wed Jul  8 06:23:57 2009
        UPTIME: 00:00:16
  LOAD AVERAGE: 0.00, 0.00, 0.00
         TASKS: 22
      NODENAME: (none)
       RELEASE: 2.6.18-157.el5
       VERSION: #1 SMP Mon Jul 6 18:12:07 EDT 2009
       MACHINE: x86_64  (2833 Mhz)
        MEMORY: 499.5 MB
         PANIC: ""
           PID: 0
       COMMAND: "swapper"
          TASK: ffffffff80300ae0  [THREAD_INFO: ffffffff803f2000]
           CPU: 0
         STATE: TASK_RUNNING (ACTIVE)
       WARNING: panic task not found
  
  crash> 
  
32-bit:
  
  $ crash vmlinux save32.qemu
  
  crash 4.0-8.12rc3
  Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009  Red Hat, Inc.
  Copyright (C) 2004, 2005, 2006  IBM Corporation
  Copyright (C) 1999-2006  Hewlett-Packard Co
  Copyright (C) 2005, 2006  Fujitsu Limited
  Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
  Copyright (C) 2005  NEC Corporation
  Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
  Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
  This program is free software, covered by the GNU General Public License,
  and you are welcome to change it and/or distribute copies of it under
  certain conditions.  Enter "help copying" to see the conditions.
  This program has absolutely no warranty.  Enter "help warranty" for details.
   
  GNU gdb 6.1                                     
  Copyright 2004 Free Software Foundation, Inc.
  GDB is free software, covered by the GNU General Public License, and you are
  welcome to change it and/or distribute copies of it under certain conditions.
  Type "show copying" to see the conditions.
  There is absolutely no warranty for GDB.  Type "show warranty" for details.
  This GDB was configured as "i686-pc-linux-gnu"...
  
        KERNEL: vmlinux                           
      DUMPFILE: save32.qemu
          CPUS: 1
          DATE: Fri Jul  3 06:50:26 2009
        UPTIME: 00:02:12
  LOAD AVERAGE: 0.49, 0.28, 0.10
         TASKS: 85
      NODENAME: xen36.englab.brq.redhat.com
       RELEASE: 2.6.18-152.el5
       VERSION: #1 SMP Wed Jun 3 18:55:57 EDT 2009
       MACHINE: i686  (2833 Mhz)
        MEMORY: 511.9 MB
         PANIC: ""
           PID: 0
       COMMAND: "swapper"
          TASK: c06833c0  [THREAD_INFO: c06fb000]
           CPU: 0
         STATE: TASK_RUNNING (ACTIVE)
       WARNING: panic task not found
  
  crash>
Comment 7 errata-xmlrpc 2010-03-30 04:20:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0230.html

Note You need to log in before you can comment on or make changes to this bug.